<?php

/**
 * Filter the view by limiting the content types to those selected in the Content Trust configuration.
 *
 * @ingroup views_filter_handlers
 */
class content_trust_handler_filter_content_trust extends views_handler_filter {
  function query() {
    $setting = ($this->view->base_table === 'comments')
      ? 'content_trust_moderate_comment_types'
      : 'content_trust_moderate_content_types';

  	$types = variable_get($setting, array());
  	$types = array_filter($types);

    // Show all content if we're not configured to limit to specific types
    if (empty($types)) {
      $types = array_keys(node_get_types());
    }

    $this->ensure_my_table();

    $replace = array_fill(0, count($types), "'%s'");
    $in = ' (' . implode(", ", $replace) . ')';

    $this->query->add_where($this->options['group'],
    	"$this->table_alias.$this->real_field IN" . $in,
    	array_values($types));
  }

  function admin_summary() {}
}
